devsettings::Modbus_2_0_0 Interface Reference

Modbus service settings interface More...

`import"Modbus.idl";`

## Classes

struct | Capabilities
| Device modbus capabilities. More...
struct | SerialSettings
| Modbus/serial settings. More...
struct | Settings
| Modbus service settings More...
struct | TcpSettings
| Modbus/TCP settings. More...

## Public Types

enum | Parity { NONE, EVEN, ODD }
| Serial line parity.

## Public Member Functions

Capabilities | getCapabilities ()
| Retrieve the device Modbus capabilities. More...
Settings | getSettings ()
| Retrieve the Modbus service settings. More...
int | setSettings (in Settings settings)
| Set the Modbus service settings. More...

## Public Attributes

constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.

## Detailed Description

Modbus service settings interface

## Member Function Documentation

## getCapabilities()

Capabilities devsettings::Modbus_2_0_0::getCapabilities | ( |  | ) |

Retrieve the device Modbus capabilities.

Returns
  Modbus capbilities

## getSettings()

Settings devsettings::Modbus_2_0_0::getSettings | ( |  | ) |

Retrieve the Modbus service settings.

Returns
  Modbus service settings

## setSettings()

int devsettings::Modbus_2_0_0::setSettings | ( | in Settings | settings | ) |

Set the Modbus service settings.

Parameters

  settings | New settings

Returns
  0 if OK
  1 if any parameters are invalid

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Modbus.idl